Functions | Variables

# misc.cpp File Reference

Misc functions that shouldn't be here. More...

`#include "stdafx.h"`
`#include "landscape.h"`
`#include "news_func.h"`
`#include "ai/ai.hpp"`
`#include "ai/ai_gui.hpp"`
`#include "newgrf.h"`
`#include "newgrf_house.h"`
`#include "economy_func.h"`
`#include "date_func.h"`
`#include "texteff.hpp"`
`#include "gfx_func.h"`
`#include "gamelog.h"`
`#include "animated_tile_func.h"`
`#include "tilehighlight_func.h"`
`#include "network/network_func.h"`
`#include "window_func.h"`
`#include "core/pool_type.hpp"`
`#include "game/game.hpp"`
`#include "linkgraph/linkgraphschedule.h"`

Go to the source code of this file.

## Functions
void | MakeNewgameSettingsLive ()
void | InitializeSound ()
void | InitializeMusic ()
| Initialize the playlists.
void | InitializeVehicles ()
void | InitializeRailGui ()
| Initialize rail building GUI settings.
void | InitializeRoadGui ()
void | InitializeAirportGui ()
void | InitializeDockGui ()
void | InitializeObjectGui ()
| Reset all data of the object GUI.
void | InitializeIndustries ()
void | InitializeObjects ()
| Initialize/reset the objects.
void | InitializeTrees ()
void | InitializeCompanies ()
| Initialize the pool of companies.
void | InitializeCheats ()
| Reinitialise all the cheats.
void | InitializeNPF ()
void | InitializeOldNames ()
| Initialize the old names table memory.
void | InitializeGame (uint size_x, uint size_y, bool reset_date, bool reset_settings)
## Variables
TileIndex | _cur_tileloop_tile

## Detailed Description

Misc functions that shouldn't be here.

Definition in file misc.cpp.

## Function Documentation

void InitializeCheats | ( |  | ) |

Reinitialise all the cheats.

Definition at line 19 of file cheat.cpp.

void InitializeCompanies | ( |  | ) |

Initialize the pool of companies.

Definition at line 606 of file company_cmd.cpp.

References _cur_company_tick_index.

void InitializeObjectGui | ( |  | ) |

Reset all data of the object GUI.

Definition at line 489 of file object_gui.cpp.

References _selected_object_class.

void InitializeObjects | ( |  | ) |

Initialize/reset the objects.

Definition at line 68 of file object_cmd.cpp.

References Object::ResetTypeCounts().